Intrusion Prevention

Mozilla.Firefox.JavaScript.Array.Splice.Memory.Corruption

Description

This indicates an attack attempt against a vulnerability in Mozilla Firefox.
The vulnerability is caused by an error when the vulnerable software handles specially crafted JavaScript code. It allows a remote attacker to execute arbitrary code.

Affected Products

Mozilla Firefox 3.0.7 Beta
Mozilla Firefox 3.0.6
Mozilla Firefox 3.0.5
Mozilla Firefox 3.0.4
Mozilla Firefox 3.0.3
Mozilla Firefox 3.0.2
Mozilla Firefox 3.0.1
Mozilla Firefox 3.0 Beta 5
Mozilla Firefox 3.0

Impact

System Compromise

Recommended Actions

Upgrade to the latest versions:
http://www.mozilla.org/

CVE References

CVE-2009-0773